package DE_EPAGES::EbayProvider::UI::Provider;
use base 'DE_EPAGES::Presentation::UI::Object';

use strict;
use DE_EPAGES::Core::API::Error qw ( ExistsError );
use DE_EPAGES::EbayProvider::API::Object::RemoteStore;

sub View {
    my $self = shift;
    my ($Servlet) = @_;

    my $Provider = $Servlet->object;

    my $assignedStores = $Provider->stores;

    my @StoreVars = ();

    foreach my $store (@{$assignedStores}) {
        my $tles = $store->tleHash;

        eval {
            my $RemoteStore = DE_EPAGES::EbayProvider::API::Object::RemoteStore->new(
                'Store' => $store,
            );
            my $RootObjectID = $RemoteStore->factoryService->rootObject()->result;
            my $result = $RemoteStore->objectService->get( $RootObjectID, ['Alias', 'EbayApiVersion'] )->result;
            die "RootAlias '".$result->{'Alias'}."' ne 'System'" unless $result->{'Alias'} eq 'System';
            die 'It Seems there is no Ebay Cartridge installed on Store:'.$store->get('NameOrAlias') unless $result->{'EbayApiVersion'};
        };
        if (ExistsError()){
            $tles->{'IsWebServiceAvialable'} = 0;
        } else {
            $tles->{'IsWebServiceAvialable'} = 1;
        }

        push @StoreVars, $tles;
    }

    $Servlet->vars('Stores', \@StoreVars);
    return;
}

1;

