#========================================================================================
# package      DE_EPAGES::Moneybookers::API::Constants;
# state        public
#----------------------------------------------------------------------------------------
# description  This is the place for common Moneybookers values and constants.
#========================================================================================
package DE_EPAGES::Moneybookers::API::Constants;
use base Exporter;

use strict;
use List::Util qw ( max );

our @EXPORT_OK = qw(
  $SPLIT_GATEWAY_METHODS_MAXROWS
  @SPLIT_GATEWAY_METHODS
  @SKRILL_HIDDEN_PAYMENT_METHODS
);

our @SKRILL_HIDDEN_PAYMENT_METHODS = [qw (
    RAT_DE
    RAT_AU
    RAT_CH
)];

## no critic qw(Tics::ProhibitLongLines)
my @International = (
    {'isGroup'=> 0,'ID'=>'WLT',     'REAL_SGM'=>'WLT',      'Name'=>'Wallet',                       'LogoName'=>'WLT'},
    {'isGroup'=> 0,'ID'=>'ACC',     'REAL_SGM'=>'ACC',      'Name'=>'All Credit Cards',             'LogoName'=>'ACC'},
    {'isGroup'=> 0,'ID'=>'VSA',     'REAL_SGM'=>'VSA',      'Name'=>'Visa',                         'LogoName'=>'Visa'},
    {'isGroup'=> 0,'ID'=>'MSC',     'REAL_SGM'=>'MSC',      'Name'=>'MasterCard',                   'LogoName'=>'Mastercard'},
    {'isGroup'=> 0,'ID'=>'VSE',     'REAL_SGM'=>'VSE',      'Name'=>'Visa Electron',                'LogoName'=>'VisaElectron'},
    {'isGroup'=> 0,'ID'=>'AMX',     'REAL_SGM'=>'AMX',      'Name'=>'American Express',             'LogoName'=>'Amex'},
    {'isGroup'=> 0,'ID'=>'DIN',     'REAL_SGM'=>'DIN',      'Name'=>'Diners',                       'LogoName'=>'Diners'},
    {'isGroup'=> 0,'ID'=>'JCB',     'REAL_SGM'=>'JCB',      'Name'=>'JCB',                          'LogoName'=>''},
    {'isGroup'=> 0,'ID'=>'MAE',     'REAL_SGM'=>'MAE',      'Name'=>'Maestro',                      'LogoName'=>'Maestro'},
    {'isGroup'=> 0,'ID'=>'SAF',     'REAL_SGM'=>'SAF',      'Name'=>'Paysafecard',                  'LogoName'=>'Paysafecard'},
    {'isGroup'=> 0,'ID'=>'OBT',     'REAL_SGM'=>'OBT',      'Name'=>'Rapid Transfer',               'LogoName'=>'OnlineUeberweisung'},
);

my @Germany =(
    {'isGroup'=> 0,'ID'=>'GIR',     'REAL_SGM'=>'GIR',      'Name'=>'Giropay',                      'LogoName'=>'Giro'},
    {'isGroup'=> 0,'ID'=>'DID',     'REAL_SGM'=>'DID',      'Name'=>'Lastschrift',                  'LogoName'=>'Lastschrift'},
    {'isGroup'=> 0,'ID'=>'SFT',     'REAL_SGM'=>'SFT',      'Name'=>'Sofortueberweisung',           'LogoName'=>'Sofortueberweisung'},

);

my @France = (
    {'isGroup'=> 0,'ID'=>'GCB',     'REAL_SGM'=>'GCB',      'Name'=>'Carte Bleue',                  'LogoName'=>'GCB'}
);

my @Unitedkingdom = (
    {'isGroup'=> 0,'ID'=>'NTL',     'REAL_SGM'=>'NTL',      'Name'=>'Neteller',                     'LogoName'=>'NTL'}
);


my @Italy = (
    {'isGroup'=> 0,'ID'=>'CSI',     'REAL_SGM'=>'CSI',      'Name'=>'CartaSi',                      'LogoName'=>'CarteSi'},
    {'isGroup'=> 0,'ID'=>'PSP',     'REAL_SGM'=>'PSP',      'Name'=>'Postepay by Visa',             'LogoName'=>'Postepay'},
    {'isGroup'=> 0,'ID'=>'PCH',     'REAL_SGM'=>'PCH',      'Name'=>'Paysafecash',                  'LogoName'=>'Paysafecash'},
);

my @Netherlands =(
    {'isGroup'=> 0,'ID'=>'IDL',     'REAL_SGM'=>'IDL',      'Name'=>'iDeal',                        'LogoName'=>'IDL'}
);

my @Austria =(
    {'isGroup'=> 0,'ID'=>'NPY',     'REAL_SGM'=>'NPY',      'Name'=>'EPS',                          'LogoName'=>'NPY'},
    {'isGroup'=> 0,'ID'=>'PCH',     'REAL_SGM'=>'PCH',      'Name'=>'Paysafecash',                  'LogoName'=>'Paysafecash'},
);

my @Poland =(
    {'isGroup'=> 0,'ID'=>'PWY',     'REAL_SGM'=>'PWY',      'Name'=>'Przelewy24',                   'LogoName'=>'PWY'},
);

my @Sweden =(
    {'isGroup'=> 0,'ID'=>'GLU',     'REAL_SGM'=>'GLU',      'Name'=>'Trustly',                      'LogoName'=>'Trustly'},
    {'isGroup'=> 0,'ID'=>'EBT',     'REAL_SGM'=>'EBT',      'Name'=>'Nordea Solo',                  'LogoName'=>'Nordea'}
);

my @Denmark =(
    {'isGroup'=> 0,'ID'=>'DNK',     'REAL_SGM'=>'DNK',      'Name'=>'DK Dankort by Visa',           'LogoName'=>'Dankort'},
);

my @Finland =(
    {'isGroup'=> 0,'ID'=>'GLU',     'REAL_SGM'=>'GLU',      'Name'=>'Trustly',                      'LogoName'=>'Trustly'}
);

my @Others = (
    {'isGroup'=> 0,'ID'=>'PLI',     'REAL_SGM'=>'PLI',      'Name'=>'POLi (Australia, New Zealand)','LogoName'=>'PLI'},
    {'isGroup'=> 0,'ID'=>'ALI',     'REAL_SGM'=>'ALI',      'Name'=>'Alipay ',                      'LogoName'=>'ALI'},
    {'isGroup'=> 0,'ID'=>'ACI',     'REAL_SGM'=>'ACI',      'Name'=>'Astropay',                     'LogoName'=>''},
    {'isGroup'=> 0,'ID'=>'PCH',     'REAL_SGM'=>'PCH',      'Name'=>'Paysafecash',                  'LogoName'=>'Paysafecash'},
);

our @SPLIT_GATEWAY_METHODS = (
    {'isGroup'=> 1,'ID'=>'_01','Name'=>'International','GrpCount'=>scalar (@International)},
        @International,
    {'isGroup'=> 1,'ID'=>'_02','Name'=>'Germany','GrpCount'=>scalar (@Germany)},
        @Germany,
    {'isGroup'=> 1,'ID'=>'_05','Name'=>'France','GrpCount'=>scalar (@France)},
        @France,
    {'isGroup'=> 1,'ID'=>'_07','Name'=>'Italy','GrpCount'=>scalar (@Italy)},
        @Italy,
    {'isGroup'=> 1,'ID'=>'_08','Name'=>'Sweden','GrpCount'=>scalar (@Sweden)},
        @Sweden,
    {'isGroup'=> 1,'ID'=>'_09','Name'=>'Denmark','GrpCount'=>scalar (@Denmark)},
        @Denmark,
    {'isGroup'=> 1,'ID'=>'_10','Name'=>'Finland','GrpCount'=>scalar (@Finland)},
        @Finland,
    {'isGroup'=> 1,'ID'=>'_11','Name'=>'Netherlands','GrpCount'=>scalar (@Netherlands)},
        @Netherlands,
    {'isGroup'=> 1,'ID'=>'_12','Name'=>'Austria','GrpCount'=>scalar (@Austria)},
        @Austria,
    {'isGroup'=> 1,'ID'=>'_13','Name'=>'Poland','GrpCount'=>scalar (@Poland)},
        @Poland,
    {'isGroup'=> 1,'ID'=>'_14','Name'=>'UK','GrpCount'=>scalar (@Unitedkingdom)},
        @Unitedkingdom,
    {'isGroup'=> 1,'ID'=>'_15','Name'=>'Others','GrpCount'=>scalar (@Others)},
        @Others,
);

our $SPLIT_GATEWAY_METHODS_MAXROWS = max(   scalar (@International),
                                        scalar (@Germany),
                                        scalar (@France),
                                        scalar (@Italy),
                                        scalar (@Sweden),
                                        scalar (@Denmark),
                                        scalar (@Finland),
                                        scalar (@Netherlands),
                                        scalar (@Austria),
                                        scalar (@Poland),
                                        scalar (@Unitedkingdom),
                                        scalar (@Others));

## use critic

1;
