#==============================================================================
# package      DE_EPAGES::TaxUS::UI::TaxMethod
# state        private
#==============================================================================
package DE_EPAGES::TaxUS::UI::TaxMethod;
use base qw (DE_EPAGES::Presentation::UI::Object);

use strict;

use DateTime;
use DE_EPAGES::Core::API::String qw ( QuoteXML );
use DE_EPAGES::Shop::API::Url qw ( BuildShopUrl );
use HTTP::Status;

#==============================================================================
sub TaxUSAddressRedirect {
    my $self      = shift;
    my ($Servlet) = @_;
    my $Object    = $Servlet->object;
    my $Shop      = $Object->getSite;
    my $IsUnityShop = $Shop->isUnity();
    my $ViewActionAlias = $IsUnityShop ? 'UnityMBO-ViewStatusGeneral' : 'MBO-ViewGeneral';
    my $ViewObject = $IsUnityShop ? $Shop: $Shop->get('Address');

    $Servlet->vars('ViewObjectID', $ViewObject->id);
    $Servlet->vars('ViewAction',   $ViewActionAlias);

    # Build redirect URL to the DHLShoppingCart
    my %Params = (
        'ObjectID'            => $ViewObject->id,
        'ViewAction'          => $ViewActionAlias,
        'TaxUSInvalidAddress' => '1',
    );
    my $AddressPageRedirectURL = BuildShopUrl(
        $ViewObject,
        \%Params, {
            'UseSSL'   => $Servlet->params('SERVER_PORT_SECURE'),
            'Type'     => 'admin',
            'AddToken' => 1
        },
        $Servlet
    );

    $AddressPageRedirectURL =~ s|^http:|https:|i if $Servlet->params('SERVER_PORT_SECURE');

    my $Response = $Servlet->response;
    $Response->code(RC_SEE_OTHER);
    $Response->header('Location' => $AddressPageRedirectURL);
    $Response->content('<html><head><meta http-equiv="Refresh" content="0;URL='.QuoteXML($AddressPageRedirectURL).'"/></head><body></body></html>');
    $Servlet->vars('ExitAfterEvent', 1);

    return;
}



1;
